Name:		mysql-aes256
Version:	1.0.5
Release:	1%{?dist}
Epoch:      10
Summary:	MySQL AES-256 UDF

Group:		Applications/Databases
License:	GPLv2
URL:		https://github.com/Joungkyun/lib_mysqludf_aes256
#Source0:	lib_mysqludf_aes256-%{version}.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	mysql-devel >= 5.6
Requires:	mysql-server >= 5.6

%description
Support AES-256 Encryption with UDF (User Defined Function)


%prep
%setup -c -T -n lib_mysqludf_aes256-%{version}
[ -f "../lib_mysqludf_aes256-%{version}.tar.gz" ] && \
	mv ../lib_mysqludf_aes256-%{version}.tar.gz ./ || \
	curl -o lib_mysqludf_aes256-%{version}.tar.gz \
		https://codeload.github.com/Joungkyun/lib_mysqludf_aes256/tar.gz/%{version}

tar xvfpz lib_mysqludf_aes256-%{version}.tar.gz >& /dev/null
mv lib_mysqludf_aes256-%{version}/* ./
rm -rf lib_mysqludf_aes256-%{version}/

%build
%configure \
	--with-mysql=%{_prefix} \
	--with-mysql-config=%{_bindir}/mysql_config

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
(
	cd %{buildroot}%{_docdir}
	mv lib_mysqludf_aes256-%{version} %{name}-%{version}
	cd -
)

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/mysql/plugin/*.so
%{_docdir}/%{name}-%{version}/*

%changelog
* Tue Dec 13 2016 Joungkyum.Kim <http://oops.org> 10:1.0.5-1%{?dist}
- update 1.0.5

* Wed Jun  4 2014 Joungkyum.Kim <http://oops.org> 1.0.2-1%{?dist}
- update 1.0.3

* Tue Dec 24 2013 JoungKyun.Kim <http://oops.org> 1.0.2-1%{?dist}
- update 1.0.2
- 인자를 column name으로 주었을 경우 에러 수정

* Mon Sep 23 2013 JoungKyun.Kim <http://oops.org>
- first packaged
